Bug 176219 - Stale iSCSI session stays active after removing the iSCSI server load balancing initiator
Stale iSCSI session stays active after removing the iSCSI server load balanci...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 05:32 EST by Chakravarthy G.R.K.
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:49:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chakravarthy G.R.K. 2005-12-20 05:32:54 EST
Description of problem:

Topplogy:

targets------mds------cat6k-------hosts.

Two targets and 5 hosts are connected to a MDS.All targets and hosts are all 
configured in vsan1 and default-zone is used.VRRP1 are configured on all ports 
of MDS connecting with hosts.iSCSI server load balance is configured for VRRP1. 
Two hosts(10.1.10.25 and 10.1.10.32) are configured as the iSCSI server load 
balancing initiators and the rest are dynamic iSCSI initiators.See attached 
start config for details.iSCSI server load balance init25 is configured to 
access only one of two targets.

Problem:
After removing the iSCSI server load balance init25 config by " no islb 
initiator name $name",init25 than falls back as iSCSI dynamic initiator so it 
sets up session for each target in vsan1.But the iSCSI server load balance 
stays up which leads to two sessions from the same init to the same target.



Version-Release number of selected component (if applicable):


How reproducible:

Always.


Steps to Reproduce:
1. Reload the switch with attached start config.Make sure that all iSCSI server 
load balance and iSCSI sessions are up.
2. Remove the iSCSI server load balance init 25 by "no islb initiator name 
$name"
3.Check the iSCSI sessions for iSCSI init25.You can view the problem.

  
Actual results:


Expected results:


Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 14:49:32 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.